Thanks everyone for all the comments and help.  After removing an install of /opt/libpcap-0.9.8 since I had  libpcap-0.9.4-12.el5 also installed; and re-running ./configure, make ran without errors.  So did make install.  Looks like my box is up and running.

Thank you!

Martin
PS.  Looks like Bro INSTALL doc file might need updating to indicate that corresponding *-devel-* packages also need to be installed.

--- On Tue, 1/27/09, Martin Fontanez <jdmfontz@yahoo.com> wrote:
From: Martin Fontanez <jdmfontz@yahoo.com>
Subject: Re: [Bro] Bro-1.4 Install Question
To: Bro@bro-ids.org, "rmkml" <rmkml@free.fr>
Date: Tuesday, January 27, 2009, 1:20 PM

Update.  I created a link /usr/bin/g++ for /usr/bin/g++34 and went pass this error on make.  Now I am getting this error on make:

source='X509.cc' object='X509.o' libtool=no \
        DEPDIR=.deps depmode=none /bin/sh ../depcomp \
        g++ -DHAVE_CONFIG_H -I. -I. -I..  -I. -I../aux/binpac/lib -I../src -I. -I.. -Ilibedit  -I/opt/libpcap-0.9.8  -I../linux-include -I/usr/local/include -O -W -Wall -Wno-unused -I/opt/libpcap-0.9.8  -I../linux-include -I/usr/local/include   -c -o X509.o X509.cc
X509.cc: In function `X509* d2i_X509_(X509**, const u_char**, int)':
X509.cc:18: error: invalid conversion from `u_char**' to `const unsigned char**'
X509.cc:18: error:   initializing argument 2 of `X509* d2i_X509(X509**, const unsigned char**, long int)'
make[3]: *** [X509.o] Error 1
make[3]: Leaving directory `/opt/bro-1.4/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/opt/bro-1.4/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/opt/bro-1.4'
make: *** [all] Error 2
[root@localhost bro-1.4]#

Any help is appreciated.

Thank you,

Martin

--- On Tue, 1/27/09, Martin Fontanez <jdmfontz@yahoo.com> wrote:
From: Martin Fontanez <jdmfontz@yahoo.com>
Subject: Re: [Bro] Bro-1.4 Install Question
To: Bro@bro-ids.org, "rmkml" <rmkml@free.fr>
Date: Tuesday, January 27, 2009, 10:56 AM

Hello.  Thank you.  It looks like I have gcc and c++ pkgs installed.

[root@localhost opt]# rpm -qa | grep gcc
compat-gcc-34-c++-3.4.6-4
compat-libgcc-296-2.96-138
compat-gcc-34-3.4.6-4
libgcc-4.1.2-42.el5
gcc-4.1.2-42.el5
compat-gcc-34-g77-3.4.6-4
[root@localhost opt]#

It looks like I also have g++ which gets installed as part of gcc install.  Does this looks like a bro bug?

[root@localhost opt]# find / -name "g++*"
/usr/bin/g++34
/opt/gcc-4.3.3/gcc/cp/g++spec.c
[root@localhost opt]#

Regards,

Martin



--- On Fri, 1/23/09, rmkml <rmkml@free.fr> wrote:
From: rmkml <rmkml@free.fr>
Subject: Re: [Bro] Bro-1.4 Install Question
To: "Martin Fontanez" <jdmfontz@yahoo.com>
Date: Friday, January 23, 2009, 8:06 AM

Hi,
need c++ compilator...
Regards
Rmkml
Crusoe-Researches.com

On Fri, 23 Jan 2009, Martin Fontanez wrote:

> Date: Fri, 23 Jan 2009 06:35:01 -0800 (PST)
> From: Martin Fontanez <jdmfontz@yahoo.com>
> To: Bro@bro-ids.org, Christian Kreibich <christian@whoop.org>
> Subject: Re: [Bro] Bro-1.4 Install Question
>
> I installed the ncurses-devel pkg and ./configure ran ok.  Now I am
getting the following errors on make:
>
> Making all in lib
> make[6]: Entering directory `/opt/bro-1.4/aux/binpac/lib'
> source='binpac_buffer.cc' object='binpac_buffer.o'
libtool=no \
>         DEPDIR=.deps depmode=none /bin/sh ../depcomp \
>         g++ -DHAVE_CONFIG_H -I. -I.

-I..      -c -o
binpac_buffer.o binpac_buffer.cc
> ../depcomp: line 414: exec: g++: not found
> make[6]: *** [binpac_buffer.o] Error 127
> make[6]: Leaving directory `/opt/bro-1.4/aux/binpac/lib'
> make[5]: *** [all-recursive] Error 1
> make[5]: Leaving directory `/opt/bro-1.4/aux/binpac'
> make[4]: *** [all] Error 2
> make[4]: Leaving directory `/opt/bro-1.4/aux/binpac'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory `/opt/bro-1.4/aux'
> make[2]: *** [all] Error 2
> make[2]: Leaving directory `/opt/bro-1.4/aux'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/opt/bro-1.4'
> make: *** [all] Error 2
> [root@localhost bro-1.4]#
>
> Thanks,
>
> Martin
>
> --- On Thu, 1/22/09, Christian Kreibich <christian@whoop.org> wrote:
> From: Christian

Kreibich <christian@whoop.org>
> Subject: Re: [Bro] Bro-1.4 Install Question
> To: jdmfontz@yahoo.com
> Cc: Bro@bro-ids.org
> Date: Thursday, January 22, 2009, 3:49 PM
>
> On Wed, 2009-01-21 at 11:28 -0800, Martin Fontanez wrote:
> > I am getting a "no terminal emulation library found" error
on
> > configure yet as you can see below ncurse and termcap packages are
> > installed. I am using RedHat Linux EL5. Does
> anyone have an idea of
> > why is that? Thanks in advance.
> Please install the -devel packages as well, and let us know how it
> goes. -- Cheers,
> Christian
>
>
>
>

_______________________________________________
Bro mailing list
bro@bro-ids.org
http://mailman.ICSI.Berkeley.EDU/mailman/listinfo/bro